Consultar transação
curl --request GET \
--url https://api.ephra.io/v1/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ephra.io/v1/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ephra.io/v1/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "clxabc123def456",
"paymentMethod": "pix",
"amount": 10000,
"netAmount": 9850,
"fees": 150,
"status": "paid",
"description": "<string>",
"createdAt": "2026-06-03T12:00:00.000Z",
"updatedAt": "2026-06-03T12:01:30.000Z",
"aprovedAt": "2026-06-03T12:01:30.000Z",
"refuseReason": "<string>",
"customer": {
"id": "<string>",
"name": "Maria Silva",
"phone": "<string>",
"documentType": "cpf",
"document": "12345678909",
"emails": [
{
"email": "jsmith@example.com"
}
]
},
"Pix": {
"key": "<string>",
"endToEndId": "<string>",
"payerInfo": {}
}
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Token inválido ou expirado"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Recurso não encontrado"
}Transações
Consultar transação
Retorna o status e os detalhes de uma transação pelo seu id.
GET
/
v1
/
transactions
/
{transactionId}
Consultar transação
Retorna o status e os detalhes de uma transação pelo seu
id. Útil para reconciliação ou como fallback do webhook.
Para saber quando uma transação é paga, prefira sempre o webhook. Evite polling agressivo.
⌘I
